Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.testing.transportlayer.peerreview
Class PRRegressionTest

    java.lang.Object
      org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest

Direct Known Subclasses:
  PRInconsistent1, PRNonconform1, PRNonconform2

    public class PRRegressionTest

extends java.lang.Object

Field Summary
`static byte[]` | `EMPTY_ARRAY`
`protected java.util.Map<org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.HandleImpl,java.util.Map<org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.IdImpl,java.lang.Integer>>` | `recordedStatus`

Constructor Summary
`PRRegressionTest(int millisToFinish)`

Method Summary
`protected void` | `addStatusNotification(org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.HandleImpl localHandle, org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.IdImpl id, int newStatus)`
`void` | `buildCryptoMaterial(Environment env)`
`void` | `buildPlayers(Environment env)`
`void` | `finish()`
`protected org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.BogusApp` | `getBogusApp(org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.Player player, PeerReview<org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.HandleImpl,org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.IdImpl> pr, Environment env)`
`IdStrTranslator<org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.IdImpl>` | `getIdStrTranslator()`
`protected PeerReviewImpl<org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.HandleImpl,org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.IdImpl>` | `getPeerReview(org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.Player player, org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.MyIdTL transport, Environment env)`
`static void` | `main(java.lang.String[] agrs)`
`void` | `setLoggingParams(Environment env)`
`void` | `setupWitnesses()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_ARRAY

    public static final byte[] EMPTY_ARRAY

### recordedStatus

    protected java.util.Map<org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.HandleImpl,java.util.Map<org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.IdImpl,java.lang.Integer>> recordedStatus

Constructor Detail

### PRRegressionTest

    public PRRegressionTest(int millisToFinish)
                     throws java.lang.Exception

Parameters:
  `millisToFinish` - Call finish() after this amount of time
Throws:
  `java.lang.Exception`

Method Detail

### getPeerReview

    protected PeerReviewImpl<org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.HandleImpl,org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.IdImpl> getPeerReview(org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.Player player,
                                                                                                                                                                                                  org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.MyIdTL transport,
                                                                                                                                                                                                  Environment env)

### getIdStrTranslator

    public IdStrTranslator<org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.IdImpl> getIdStrTranslator()

### setLoggingParams

    public void setLoggingParams(Environment env)

### getBogusApp

    protected org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.BogusApp getBogusApp(org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.Player player,
                                                                                                     PeerReview<org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.HandleImpl,org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.IdImpl> pr,
                                                                                                     Environment env)

### buildCryptoMaterial

    public void buildCryptoMaterial(Environment env)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### buildPlayers

    public void buildPlayers(Environment env)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setupWitnesses

    public void setupWitnesses()

### addStatusNotification

    protected void addStatusNotification(org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.HandleImpl localHandle,
                                         org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.IdImpl id,
                                         int newStatus)

### finish

    public void finish()

### main

    public static void main(java.lang.String[] agrs)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.